
REM u polju P(i,j) pamtimo zbroj svih elemenata od prvog retka i prvog stupca do i-tog retka i j-tog stupca

dim K as LONG, P(0 to 120, 0 to 120) as LONG

input N

REM ulazni podaci se ne pamte nego se koriste za direktno racunanje polja P

for i = 1 to N
	input a$
	for j = 1 to N
		x = VAL(mid$(a$, j, 1))		
		P(i, j) = P(i-1, j) + P(i, j-1) - P(i-1, j-1) + x 
	next j
next i


REM pomocu polja P lako izracunamo zbroj u nekom pravokutniku
REM 1) zbrojimo sve elemente od (1,1) do (r2,s2)
REM 2) oduzmemo sve elemente od (1,1) do (r1-1,s2) (jer nisu dio zadanog pravokutnika)
REM 3) oduzmemo sve elemente od (1,1) do (r2,s1-1) (jer nisu dio zadanog pravokutnika)
REM 4) dodamo sve elemente od (1,1) do (r1-1,s1-1) (jer smo ih dvaput oduzeli!)
REM sva dodatna pitanja saljite na isikiric@hotmail.com

input K
for i = 1 to K
	input r1,s1,r2,s2
	print P(r2, s2) - P(r1-1, s2) - P(r2, s1-1) + P(r1-1, s1-1)
next i
